# Generated from cheffish-17.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cheffish

Name: rubygem-%{gem_name}
Version: 17.0.0
Release: 1%{?dist}
Summary: A set of Chef resources for configuring Chef Infra
License: Apache-2.0
URL: https://github.com/chef/cheffish
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
BuildArch: noarch

%description
A set of Chef resources for configuring Chef Infra.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/cheffish.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 17.0.0-1
- Initial package
